Subject: Re: [tcpinc] Reminder: 2 days left [was: Re: Call for adoption of draft-bittau-tcpinc-tcpcrypt-04]

From: Kyle Rose <[email-masked]>
Date: Mon, 2 Nov 2015 09:02:01 +0900

I am in favor of adoption of this draft.

Kyle

On Sat, Oct 31, 2015 at 11:49 AM, Mirja Kühlewind <
[email-masked]> wrote:

> Hi all,
>
> just a reminder that there are two days left to provide feedback on the
> adoption of
>
>         draft-bittau-tcpinc-tcpcrypt-04
>
> David & Mirja
>
>
> > Am 21.10.2015 um 01:47 schrieb Mirja Kühlewind <
> [email-masked]>:
> >
> > Hi all,
> >
> > please indicate if you support adoption of
> draft-bittau-tcpinc-tcpcrypt-04 as a tcpinc working group item, or not, by
> >
> >       Monday, Nov 2, 2015.
> >
> > draft-bittau-tcpinc-tcpcrypt is one candidate for tcpinc where the first
> version of that draft was proposed about a year ago. In the mean time this
> proposal has received broad feedback. The latest version was published only
> a few days ago, however, this version adapts the tcpcrypt proposal to
> tcp-eno, which we adopted as a wg item a couple weeks ago, and therefore
> simplifies the draft.
> >
> > If you do not support adoption of this document because you think it is
> not in scope for the wg or has fundamental technicals flaws and would
> therefore harm the goals of the wg, it would be great if you could given
> some reasoning/explanation with your response.
> >
> > This is solely an adoption call for draft-bittau-tcpinc-tcpcrypt
> independent of any other documents. If you have a personal preference for a
> different approach that should not be a reason to reject this adoption.
> Forcing the wg to make a decision has not worked previously, and even
> though both proposed approaches have evolved, I do not see any indication
> that the wg is now ready to make a decision. The goal of this adoption call
> is to figure out if there is enough interest and energy to further follow
> the approach as outlined in draft-bittau-tcpinc-tcpcrypt-04. A separate
> adoption call for the other proposed solution will following.
> >
> > This process may lead to a situation where the wg will adopt and work on
> two solution approaches. This does not mean that the wg will publish two
> (incompatible) approaches, as this would not fulfill our charter. If we end
> up adopting more than one approach, I currently see three way to proceed:
> >
> > 1) Both approaches (naturally) converge into one approach.
> >
> > 2) We work on both approaches to get them into a (similar) state where
> the wg is able to make a decision (and withdraw the other doc).
> >
> > 3) We publish both approaches as different 'versions' of tcpinc that can
> be negotiated in the tcp-eno handshake, where at least one of them is
> mandatory to support/implement.
> >
> > Thanks!
> > Mirja
> >
> >
> >
> > _______________________________________________
> > Tcpinc mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tcpinc
>
> _______________________________________________
> Tcpinc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpinc

---

From: Eric Smith <[email-masked]>
Date: Sun, 1 Nov 2015 18:05:52 -0800

As a co-author, I support adoption of tcpcrypt.

-Eric Smith

On 10/20/15 9:47 AM, Mirja Kühlewind wrote:
> draft-bittau-tcpinc-tcpcrypt is one candidate for tcpinc where the 
> first version of that draft was proposed about a year ago. In the mean 
> time this proposal has received broad feedback. The latest version was 
> published only a few days ago, however, this version adapts the 
> tcpcrypt proposal to tcp-eno, which we adopted as a wg item a couple 
> weeks ago, and therefore simplifies the draft.
>
> If you do not support adoption of this document because you think it 
> is not in scope for the wg or has fundamental technicals flaws and 
> would therefore harm the goals of the wg, it would be great if you 
> could given some reasoning/explanation with your response.
>
> independent of any other documents. If you have a personal preference 
> for a different approach that should not be a reason to reject this 
> adoption. Forcing the wg to make a decision has not worked previously, 
> and even though both proposed approaches have evolved, I do not see 
> any indication that the wg is now ready to make a decision. The goal 
> of this adoption call is to figure out if there is enough interest and 
> energy to further follow the approach as outlined in 
> draft-bittau-tcpinc-tcpcrypt-04. A separate adoption call for the 
> other proposed solution will following.
>
> This process may lead to a situation where the wg will adopt and work 
> on two solution approaches. This does not mean that the wg will 
> publish two (incompatible) approaches, as this would not fulfill our 
> charter. If we end up adopting more than one approach, I currently see 
> three way to proceed:
>
> 3) We publish both approaches as different 'versions' of tcpinc that 
> can be negotiated in the tcp-eno handshake, where at least one of them 
> is mandatory to support/implement.
>
> Thanks!
> Mirja
>
>
>